module McDump
  module Memcached

    class Server

      def initialize(connection_args)
        @connection_args = connection_args
      end

      def items
        McDump::Telnet::Session.open(@connection_args) do |session|
          item_stats = McDump::Memcached::Stat.parse(session.stats)
          item_stats.map { |stat| stat.items(session) }.flatten
        end
      end

    end

  end
end
