module McDump
  module Memcached

    class Stat

      def self.parse(dump)
        dump.scan(/STAT items:(\d+):number (\d+)/).map do |data|
          self.new(items_id: data[0], number: data[1])
        end
      end

      def initialize(args)
        @items_id = args[:items_id]
        @number   = args[:number]
      end

      def items(telnet_session)
        McDump::Memcached::Item.parse(telnet_session.items(@items_id, @number), @items_id)
      end

    end

  end
end
