module McDump
  module Telnet

    class Connection

      def initialize(args)
        @telnet = Net::Telnet::new(
          "Host"    => args[:host],
          "Port"    => args[:port],
          "Timeout" => args[:timeout_in_seconds] || 5
        )
      end

      def execute(string)
        @telnet.cmd("String" => string, "Match" => /^END/)
      end

      def close
        @telnet.close
      end

    end

  end
end
