require 'net/telnet'

require_relative 'mc_dump/telnet/connection'
require_relative 'mc_dump/telnet/session'
require_relative 'mc_dump/memcached/item'
require_relative 'mc_dump/memcached/stat'
require_relative 'mc_dump/memcached/server'
require_relative 'mc_dump/report'

module McDump

  def self.server(connection_args)
    server = McDump::Memcached::Server.new(connection_args)
    McDump::Report.new(server.items).dump
  end

end
