module McDump
  module Rake

    class Task < ::Rake::TaskLib

      def initialize(name, connection_args)
        desc "Dumps contents of a memcached instance, supports arguments: host, port, timeout_in_seconds"
        task(name) do
          McDump.server({
            host:               ENV["host"],
            port:               ENV["port"],
            timeout_in_seconds: ENV["timeout_in_seconds"]
          }.merge(connection_args))
        end
      end

    end

  end
end
